## Functions

### gst_tracing_get_active_tracers

    GList *
    gst_tracing_get_active_tracers ()

Get a list of all active tracer objects owned by the tracing framework for the entirety of the run-time of the process or till gst_deinit is called.

Returns ( [transfer: full][element-type Gst.Tracer]) –

A GList of GstTracer objects

Since : 1.18

### Gst.prototype.tracing_get_active_tracers

    function Gst.prototype.tracing_get_active_tracers(): {
        // javascript wrapper for 'gst_tracing_get_active_tracers'
    }

Get a list of all active tracer objects owned by the tracing framework for the entirety of the run-time of the process or till Gst.prototype.deinit is called.

Returns ([ Gst.Tracer ]) –

A GLib.List of Gst.Tracer objects

Since : 1.18

### Gst.tracing_get_active_tracers

    def Gst.tracing_get_active_tracers ():
        #python wrapper for 'gst_tracing_get_active_tracers'

Get a list of all active tracer objects owned by the tracing framework for the entirety of the run-time of the process or till Gst.deinit is called.

Returns ([ Gst.Tracer ]) –

A GLib.List of Gst.Tracer objects

Since : 1.18

### gst_tracing_register_hook

    gst_tracing_register_hook (GstTracer * tracer,
                               const gchar * detail,
                               GCallback func)

Register func to be called when the trace hook detail is getting invoked. Use NULL for detail to register to all hooks.

Parameters:

`tracer` –

the tracer

`detail` –

the detailed hook

`func` ( [scope async]) –

the callback

Since : 1.8

### Gst.prototype.tracing_register_hook

    function Gst.prototype.tracing_register_hook(tracer: Gst.Tracer, detail: String, func: GObject.Callback): {
        // javascript wrapper for 'gst_tracing_register_hook'
    }

Register func to be called when the trace hook detail is getting invoked. Use null for detail to register to all hooks.

Parameters:

`tracer` (Gst.Tracer) –

the tracer

`detail` (String) –

the detailed hook

`func` (GObject.Callback) –

the callback

Since : 1.8

### Gst.tracing_register_hook

    def Gst.tracing_register_hook (tracer, detail, func):
        #python wrapper for 'gst_tracing_register_hook'

Register func to be called when the trace hook detail is getting invoked. Use None for detail to register to all hooks.

Parameters:

`tracer` (Gst.Tracer) –

the tracer

`detail` (str) –

the detailed hook

`func` (GObject.Callback) –

the callback

Since : 1.8

The results of the search are